# Generated by Django 3.1.6 on 2021-08-24 23:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cart',
            fields=[
                ('id_cart', models.AutoField(primary_key=True, serialize=False, verbose_name='код строки корзины')),
                ('login_anonymus', models.CharField(default='Net', max_length=20, verbose_name='логин не авторизованных пользователей')),
                ('quantity', models.IntegerField(default=1, verbose_name='кол-во')),
                ('price_summary', models.IntegerField(verbose_name='цена_товара')),
            ],
            options={
                'verbose_name': 'Корзина',
                'verbose_name_plural': 'Корзина',
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id_customer', models.AutoField(primary_key=True, serialize=False, verbose_name='код покупателя')),
                ('name', models.CharField(max_length=50, verbose_name='имя покупателя')),
                ('surname', models.CharField(max_length=50, verbose_name='фамилия покупателя')),
                ('middle_name', models.CharField(max_length=50, verbose_name='отчество покупателя')),
                ('sex', models.CharField(max_length=50, verbose_name='пол покупателя')),
                ('date_of_birth', models.DateField(verbose_name='дата рождения')),
                ('email', models.EmailField(max_length=254, verbose_name='e-mail покупателя')),
                ('phone', models.CharField(max_length=20, verbose_name='номер телефона покупателя')),
                ('login', models.CharField(max_length=50, unique=True, verbose_name='логин')),
                ('password', models.CharField(max_length=200, verbose_name='пароль')),
                ('cart', models.ManyToManyField(to='cakes.Cart')),
            ],
            options={
                'verbose_name': 'Покупатель',
                'verbose_name_plural': 'Покупатели',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id_order', models.AutoField(primary_key=True, serialize=False, verbose_name='код заказа')),
                ('amount', models.IntegerField(verbose_name='общее количество товара')),
                ('amount_of_money', models.IntegerField(verbose_name='общая стоимость')),
                ('order_date', models.DateField(verbose_name='дата заказа')),
                ('date_of_payment', models.DateField(verbose_name='дата оплаты')),
                ('note', models.TextField(verbose_name='комментарий к заказу')),
                ('status', models.CharField(default='Обрабатывается', max_length=50, verbose_name='статус заказа')),
                ('id_customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cakes.customer')),
            ],
            options={
                'verbose_name': 'Заказ',
                'verbose_name_plural': 'Заказы',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id_product', models.AutoField(primary_key=True, serialize=False, verbose_name='код товара')),
                ('name_product', models.CharField(max_length=100, verbose_name='название товара')),
                ('price', models.IntegerField(verbose_name='цена')),
                ('type_product', models.IntegerField(verbose_name='тип товара')),
                ('taste', models.IntegerField(verbose_name='вкус')),
                ('layers', models.IntegerField(verbose_name='коржи')),
                ('filling', models.IntegerField(verbose_name='начинка')),
                ('tiers', models.IntegerField(verbose_name='ярусы')),
                ('photo', models.CharField(max_length=100, verbose_name='название файла с фото')),
                ('cart_product', models.ManyToManyField(to='cakes.Cart')),
            ],
            options={
                'verbose_name': 'Товар',
                'verbose_name_plural': 'Товары',
            },
        ),
        migrations.CreateModel(
            name='Order_line',
            fields=[
                ('id_order_line', models.AutoField(primary_key=True, serialize=False, verbose_name='код строки корзины')),
                ('quantity_line', models.IntegerField(verbose_name='количество_товара_для_заказа')),
                ('price_summary_line', models.IntegerField(verbose_name='стоимость_товара_для_заказа')),
                ('id_order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='код_заказа_строки', to='cakes.order')),
                ('id_product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='товар_строки', to='cakes.product')),
            ],
            options={
                'verbose_name': 'Строка заказа',
                'verbose_name_plural': 'Строки заказа',
            },
        ),
        migrations.AddField(
            model_name='cart',
            name='id_product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='товар', to='cakes.product'),
        ),
        migrations.AddField(
            model_name='cart',
            name='login',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='покупатель', to='cakes.customer'),
        ),
        migrations.AddField(
            model_name='cart',
            name='name_product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='название', to='cakes.product'),
        ),
        migrations.AddField(
            model_name='cart',
            name='photo',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='фотография', to='cakes.product'),
        ),
    ]
